wedacoalition.org
Critical Vulnerability in Cisco WebEx Chrome Plugin, (Tue, Jan 24th)
I found an interesting article via Newsfusion Cyber Security News – I thought you might like it: